#include <stdio.h>
#include <stdlib.h>

int main()
{
    double p,q,r;
    double l,R;
    scanf("%lf",&p);
    scanf("%lf",&q);
    scanf("%lf",&r);
    scanf("%lf",&l);
    scanf("%lf",&R);
    double i;
    int pi,qi,ri;
    double p1;
    double q1;
    double r1;
    long int  n;
    n=0;
    for(i=l;i<=R;i++){
            p1=i/p;
            pi=i/p;
            if(p1-pi!=0){
                p1=pi+1;
            }
            q1=i/q;
            qi=i/q;
            if(q1-qi!=0){
                q1=qi+1;
            }
            r1=i/r;
            ri=i/r;
            if(r1-ri!=0){
                r1=ri+1;
            }
            if((p1+q1+r1)<=i){
                n++;
            }

    }
      printf("%ld",n);
    return 0;
}